﻿using HarmonyLib;

namespace AlmostNoPower
{
    public class Main : Mod
    {
        Harmony harmony;
        public void Start()
        {
            (harmony = new Harmony("com.aidanamite.AlmostNoPower")).PatchAll();
            Log("Mod has been loaded!");
        }

        public void OnModUnload()
        {
            harmony.UnpatchAll(harmony.Id);
            Log("Mod has been unloaded!");
        }
    }

    [HarmonyPatch(typeof(Battery), "Update", typeof(int))]
    static class Patch_Battery_UpdateUses
    {
        static bool Prefix(Battery __instance, int batteryUses) => __instance.BatteryUses < batteryUses;
    }
}